javax.swing.plaf.metal

## Class MetalToolBarUI.MetalDockingListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.DockingListener
  - - javax.swing.plaf.metal.MetalToolBarUI.MetalDockingListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, EventListener, MouseInputListener

Enclosing class:
  MetalToolBarUI

    protected class MetalToolBarUI.MetalDockingListener
    extends BasicToolBarUI.DockingListener

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicToolBarUI.DockingListener

`isDragging, origin, toolBar`

### Constructor Summary

Constructors
Constructor and Description
`MetalDockingListener(JToolBar t)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.

### Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI.DockingListener

`mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseReleased`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalDockingListener

    public MetalDockingListener(JToolBar t)

### Method Detail

#### mousePressed

    public void mousePressed(MouseEvent e)

Description copied from interface: `MouseListener`
Invoked when a mouse button has been pressed on a component.

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `BasicToolBarUI.DockingListener`

#### mouseDragged

    public void mouseDragged(MouseEvent e)

Description copied from interface: `MouseMotionListener`
Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `BasicToolBarUI.DockingListener`